<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Device Manager</title>
    {{-- Bulma CSS Framework --}}
    <link href="{{ asset('css/bulma.min.css') }}" type="text/css" rel="stylesheet" />
    {{-- Some custom settings for the Bulma CSS Framework --}}
    <link href="{{ asset('css/style.css') }}" type="text/css" rel="stylesheet" />
    {{-- Javascript to make the Burger-Menu from Bulma-CSS possible --}}
    <script src="{{ asset('js/script.js') }}" type="text/javascript"></script>
    {{-- Font Awesome Solid + Regular WebFont --}}
    <link href="{{ asset('css/fontawesome.min.css') }}" type="text/css" rel="stylesheet">
    <link href="{{ asset('css/regular.min.css') }}" type="text/css" rel="stylesheet">
    <link href="{{ asset('css/solid.min.css') }}" type="text/css" rel="stylesheet">
</head>

<body>
    <nav class="navbar is-dark" role="navigation" aria-label="main navigation">
        <div class="navbar-brand">
            <a class="navbar-item" href="/home">
                Device Manager
            </a>

            {{-- nav bar for mobile device --}}
            <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navBarBasic">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
            </a>
        </div>

        <div id="navBarBasic" class="navbar-menu">
            <div class="navbar-start">
                @auth
                    <a class="navbar-item" href="/devices">To List</a>
                    <a class="navbar-item" href="/log-viewer">To Log-Viewer</a>
                @endauth
            </div>

            <div class="navbar-end">
                @auth
                    <div class="navbar-item has-dropdown is-hoverable">
                        <a class="navbar-link">
                            {{ auth()->user()->full_name }}
                        </a>
                        <div class="navbar-dropdown is-right">
                            <form class="navbar-item" method="POST" action="/logout">
                                @csrf
                                <button class="button is-small" type="submit">Logout</button>
                            </form>
                        </div>
                    </div>
                @else
                    <a class="navbar-item" href="/login">
                        Login
                    </a>
                    <a class="navbar-item" href="/register">
                        Register
                    </a>
                @endauth
            </div>
        </div>
    </nav>

    <main id="wrapper">
        <section class="section">
            <div class="container">
                @yield('content')
            </div>
        </section>
    </main>

    <footer class="footer notification is-dark p-5">
        <p class="has-text-centered">&copy; 2023 Device-Manager. MIT License.</p>
    </footer>
</body>

</html>
